// DAO1Set.cpp : implementation of the CDAO1Set class
//

#include "stdafx.h"
#include "DAO1.h"
#include "DAO1Set.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDAO1Set implementation

IMPLEMENT_DYNAMIC(CDAO1Set, CDaoRecordset)

CDAO1Set::CDAO1Set(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CDAO1Set)
	m_Food_ID = _T("");
	m_Name = _T("");
	m_Perishable = FALSE;
	m_Storage_Life = 0;
	m_Quantity = 0;
	m_Food_ID2 = _T("");
	m_nFields = 8;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}

CString CDAO1Set::GetDefaultDBName()
{
	return _T("C:\\VC_50\\DB_Samp\\Sample.mdb");
}


CString CDAO1Set::GetDefaultSQL()
{
	return _T("[FoodOrders]");
}

void CDAO1Set::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CDAO1Set)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Text(pFX, _T("Foods.[Food_ID]"), m_Food_ID);
	DFX_Text(pFX, _T("[Name]"), m_Name);
	DFX_Bool(pFX, _T("[Perishable]"), m_Perishable);
	DFX_Short(pFX, _T("[Storage_Life]"), m_Storage_Life);
	DFX_DateTime(pFX, _T("[Purchase]"), m_Purchase);
	DFX_Long(pFX, _T("[Quantity]"), m_Quantity);
	DFX_Currency(pFX, _T("[Price]"), m_Price);
	DFX_Text(pFX, _T("Orders.[Food_ID]"), m_Food_ID2);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CDAO1Set diagnostics

#ifdef _DEBUG
void CDAO1Set::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CDAO1Set::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
