// DAO1Set.h : interface of the CDAO1Set class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DAO1SET_H__BBB4CE53_A162_11D0_9887_00A024DA5F0B__INCLUDED_)
#define AFX_DAO1SET_H__BBB4CE53_A162_11D0_9887_00A024DA5F0B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CDAO1Set : public CDaoRecordset
{
public:
	CDAO1Set(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CDAO1Set)

// Field/Param Data
	//{{AFX_FIELD(CDAO1Set, CDaoRecordset)
	CString	m_Food_ID;
	CString	m_Name;
	BOOL	m_Perishable;
	short	m_Storage_Life;
	COleDateTime	m_Purchase;
	long	m_Quantity;
	COleCurrency	m_Price;
	CString	m_Food_ID2;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDAO1Set)
	public:
	virtual CString GetDefaultDBName();		// REVIEW:  Get a comment here
	virtual CString GetDefaultSQL(); 	// default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);	// RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DAO1SET_H__BBB4CE53_A162_11D0_9887_00A024DA5F0B__INCLUDED_)
