// DAO1View.h : interface of the CDAO1View class
//
/////////////////////////////////////////////////////////////////////////////
//{{AFX_INCLUDES()
#include "msflexgrid.h"
//}}AFX_INCLUDES

#if !defined(AFX_DAO1VIEW_H__BBB4CE51_A162_11D0_9887_00A024DA5F0B__INCLUDED_)
#define AFX_DAO1VIEW_H__BBB4CE51_A162_11D0_9887_00A024DA5F0B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CDAO1Set;

class CDAO1View : public CDaoRecordView
{
protected: // create from serialization only
	CDAO1View();
	DECLARE_DYNCREATE(CDAO1View)

public:
	//{{AFX_DATA(CDAO1View)
	enum { IDD = IDD_DAO1_FORM };
	CDAO1Set* m_pSet;
	CMSFlexGrid	m_DBGrid;
	//}}AFX_DATA

// Attributes
public:
	CDAO1Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDAO1View)
	public:
	virtual CDaoRecordset* OnGetRecordset();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnDraw(CDC* pDC);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDAO1View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDAO1View)
	afx_msg void OnClickMsflexgrid1();
	afx_msg void OnRowFirst();
	afx_msg void OnRowLast();
	afx_msg void OnRowNext();
	afx_msg void OnRowPrev();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DAO1View.cpp
inline CDAO1Doc* CDAO1View::GetDocument()
   { return (CDAO1Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DAO1VIEW_H__BBB4CE51_A162_11D0_9887_00A024DA5F0B__INCLUDED_)
